Topic: SOLVED issue when freezing gems with a bitnami stack

I have a legacy app that was created on a bitnami stack with RoR 2.3.5 on Mac OS X.
I need to freeze the gems for this app, and I get an error. Here is the console output:
$ rake rails:freeze:gems
Freezing to the gems for Rails 2.3.5
rm -rf vendor/rails
mkdir -p vendor/rails
cd vendor/rails
ERROR:  While executing gem ... (Gem::Exception)
    Cannot load gem at [/Applications/rubystack-2.1-0/ruby/lib/ruby/gems/1.8/cache/activesupport-2.3.5.gem] in /Users/lambda/website/recipe/vendor/rails
rm -rf vendor/rails

I checked that the activesupport-2.3.5.gem file doesn't exist under the cache directory, nor doesn't it exist at all on my computer.

Could you please help.

Thanks

Last edited by carrot06 (2012-06-18 04:59:50)

Re: SOLVED issue when freezing gems with a bitnami stack

I solved this by myself: I discovered that my ruby install was completely messed up on MAC OS X after I tried to install a different version that the default one. That's why originally I needed to install the Bitnami stack.

I had to get rid of Bitnami and reinstall from scratch ruby, rubygems and rails.

Here is the best tutorial I found to clean up completely the mess:
http://hivelogic.com/articles/compiling … w-leopard/